Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 159071 - PowerBook3,2 + 2.6.11-1.1363_FC4 suffers sleeping sickness
Summary: PowerBook3,2 + 2.6.11-1.1363_FC4 suffers sleeping sickness
Keywords:
Status: CLOSED INSUFFICIENT_DATA
Alias: None
Product: Fedora
Classification: Fedora
Component: kernel
Version: 4
Hardware: powerpc
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Dave Jones
QA Contact: Brian Brock
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2005-05-28 16:48 UTC by Andrew Cagney
Modified: 2015-01-04 22:19 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2006-05-04 13:48:18 UTC


Attachments (Terms of Use)

Description Andrew Cagney 2005-05-28 16:48:30 UTC
Given PowerBook3,2 + 2.6.11-1.1363_FC4, shutting the lid correctly sends the
machine to sleep.  However, when the lid is re-opened it wakes up (graphical
screen appears) only to instantly fall asleep again (power led goes to pulse
mode).  Clicking the power-switch repeats this cycle (wake up, go to sleep).

According to <Desktop> -> <System Settings> -> <Server Settings> -> <Services>
I'm running apmd[?].  When pbbuttonsd is running, the un-sleep is followed by a
freeze instead of a re-sleep.

Comment 1 David Woodhouse 2005-05-28 17:09:42 UTC
What if you just run 'snooze -f'? Do this from a virtual console and report any
kernel output you see.

Comment 2 Andrew Cagney 2005-05-28 18:13:47 UTC
(didn't quite get all the ducks in a row, this is with pbbuttonsd running)

Something like:

panic ... arch/ppc/kernel/traps.c:82 ... spinlock ... /traps.c:c03715a0 already
locked by traps.c/82 (Not tainted).

it then appears a few more times claiming that its going to reboot in 180
seconds,  instead just sits there.

Want it with apmd running instead?


Comment 3 Colin Charles 2005-05-31 08:04:07 UTC
How about apmud, as apmd on PPC isn't really what you want. Its in Extras, fwiw.

Comment 4 Andrew Cagney 2005-06-17 19:02:01 UTC
Turns out I'm running apmud.

Anyway, plugging in a USB device does make the m/c wake up.  DWMW2 also noticed
an upstream patch that likely fixes it (may get a chance to try).



Comment 5 Dave Jones 2005-06-27 23:15:15 UTC
Mass update of -test bugs to update version to fc4.
(Please retest on final release, and report results if you have not already done
so).

Thanks.

Comment 6 Andrew Cagney 2005-07-01 14:27:21 UTC
Happens in FC4 (at least from memory).  The kernel 2.6.11-1.1383_FC5, pulled
from rawhide, does appear to work.

PS: It is possible to work around this waking the machine up: poke a USB device
into its USB port.


Comment 7 Dave Jones 2005-07-15 21:34:35 UTC
[This comment has been added as a mass update for all FC4 kernel bugs.
 If you have migrated this bug from an FC3 bug today, ignore this comment.]

Please retest your problem with todays 2.6.12-1.1398_FC4 update.

If your problem involved being unable to boot, or some hardware not being
detected correctly, please make sure your /etc/modprobe.conf is correct *BEFORE*
installing any kernel updates.
If in doubt, you can recreate this file using..

mv /etc/sysconfig/hwconf /etc/sysconfig/hwconf.bak
mv /etc/modprobe.conf /etc/modprobe.conf.bak
kudzu


Thank you.


Comment 8 Dave Jones 2005-09-30 06:47:53 UTC
Mass update to all FC4 bugs:

An update has been released (2.6.13-1.1526_FC4) which rebases to a new upstream
kernel (2.6.13.2). As there were ~3500 changes upstream between this and the
previous kernel, it's possible your bug has been fixed already.

Please retest with this update, and update this bug if necessary.

Thanks.


Comment 9 Dave Jones 2005-11-10 19:55:10 UTC
2.6.14-1.1637_FC4 has been released as an update for FC4.
Please retest with this update, as a large amount of code has been changed in
this release, which may have fixed your problem.

Thank you.


Comment 10 Dave Jones 2006-02-03 05:50:00 UTC
This is a mass-update to all currently open kernel bugs.

A new kernel update has been released (Version: 2.6.15-1.1830_FC4)
based upon a new upstream kernel release.

Please retest against this new kernel, as a large number of patches
go into each upstream release, possibly including changes that
may address this problem.

This bug has been placed in NEEDINFO_REPORTER state.
Due to the large volume of inactive bugs in bugzilla, if this bug is
still in this state in two weeks time, it will be closed.

Should this bug still be relevant after this period, the reporter
can reopen the bug at any time. Any other users on the Cc: list
of this bug can request that the bug be reopened by adding a
comment to the bug.

If this bug is a problem preventing you from installing the
release this version is filed against, please see bug 169613.

Thank you.


Comment 11 John Thacker 2006-05-04 13:48:18 UTC
Closing per previous comment.


Note You need to log in before you can comment on or make changes to this bug.